public final class DefaultAsyncClient extends Object implements AsyncClient
Main client.
| 限定符和类型 | 字段和说明 |
|---|---|
protected Map<String,String> |
endpointMap |
protected String |
endpointRule |
protected darabonba.core.TeaAsyncHandler |
handler |
protected String |
product |
protected darabonba.core.TeaRequest |
REQUEST |
protected String |
version |
| 限定符 | 构造器和说明 |
|---|---|
protected |
DefaultAsyncClient(darabonba.core.client.ClientConfiguration configuration) |
| 限定符和类型 | 方法和说明 |
|---|---|
CompletableFuture<ApplyEciScalingConfigurationResponse> |
applyEciScalingConfiguration(ApplyEciScalingConfigurationRequest request)
Before you use a YAML configuration file to manage scaling configurations of the Elastic Container Instance type, you must take note of the following items:
* If you include a scaling configuration ID within your request, the system updates the scaling configuration based on the YAML configuration file
|
CompletableFuture<ApplyScalingGroupResponse> |
applyScalingGroup(ApplyScalingGroupRequest request)
You can call the ApplyScalingGroup operation to create scaling groups of the Elastic Container Instance type with ease.
|
CompletableFuture<AttachAlbServerGroupsResponse> |
attachAlbServerGroups(AttachAlbServerGroupsRequest request)
Before you call the operation to attach an ALB server group to your scaling group, make sure that the following requirements are met:
* The scaling group and the ALB server group share the same virtual private cloud (VPC)
|
CompletableFuture<AttachDBInstancesResponse> |
attachDBInstances(AttachDBInstancesRequest request)
Before you associate an ApsaraDB RDS instance with a scaling group, make sure that the ApsaraDB RDS instance meets the following requirements:
* The ApsaraDB RDS instance and the scaling group must belong to the same Alibaba Cloud account
|
CompletableFuture<AttachInstancesResponse> |
attachInstances(AttachInstancesRequest request)
Before you call this operation, take note of the following items:
* The scaling group is in the Active state
|
CompletableFuture<AttachLoadBalancersResponse> |
attachLoadBalancers(AttachLoadBalancersRequest request)
Before you call this operation, make sure that the following requirements are met:
* The load balancer and the scaling group belong to the same Alibaba Cloud account and region
|
CompletableFuture<AttachServerGroupsResponse> |
attachServerGroups(AttachServerGroupsRequest request) |
CompletableFuture<AttachVServerGroupsResponse> |
attachVServerGroups(AttachVServerGroupsRequest request)
* Before you call this operation, make sure that the following requirements are met:
* The CLB instance and the scaling group belong to the same Alibaba Cloud account
|
CompletableFuture<ChangeResourceGroupResponse> |
changeResourceGroup(ChangeResourceGroupRequest request)
* A resource is an entity of cloud services that you create on Alibaba Cloud.
|
void |
close() |
CompletableFuture<CompleteLifecycleActionResponse> |
completeLifecycleAction(CompleteLifecycleActionRequest request)
When you manually cut short the timeout period of a lifecycle hook, Auto Scaling proceeds with one of the following actions based on the predefined settings: responding to the scaling request, aborting the scaling request, and initiating a rollback process.
|
CompletableFuture<CreateAlarmResponse> |
createAlarm(CreateAlarmRequest request)
* If you set MetricType to custom, you must report your custom metrics to CloudMonitor before you can create event-triggered tasks by using the custom metrics.
|
CompletableFuture<CreateEciScalingConfigurationResponse> |
createEciScalingConfiguration(CreateEciScalingConfigurationRequest request)
A scaling configuration is a template that is used to create elastic container instances during scale-out activities.
|
CompletableFuture<CreateLifecycleHookResponse> |
createLifecycleHook(CreateLifecycleHookRequest request)
You can create up to six lifecycle hooks for each scaling group.
|
CompletableFuture<CreateNotificationConfigurationResponse> |
createNotificationConfiguration(CreateNotificationConfigurationRequest request)
## Description
You can configure CloudMonitor system events, Message Service (MNS) queues, or MNS topics to receive notifications.
|
CompletableFuture<CreateScalingConfigurationResponse> |
createScalingConfiguration(CreateScalingConfigurationRequest request)
Auto Scaling automatically creates Elastic Compute Service (ECS) instances based on the specified scaling configuration.
|
CompletableFuture<CreateScalingGroupResponse> |
createScalingGroup(CreateScalingGroupRequest request)
A scaling group is a group of Elastic Compute Service (ECS) instances that can be used for similar purposes.
|
CompletableFuture<CreateScalingRuleResponse> |
createScalingRule(CreateScalingRuleRequest request)
A scaling rule defines the specific scaling action.
|
CompletableFuture<CreateScheduledTaskResponse> |
createScheduledTask(CreateScheduledTaskRequest request)
* If the scaling rule of a scheduled task fails to be executed due to an ongoing scaling activity in the scaling group or because the scaling group is disabled, the scheduled task is automatically retried during the time window specified by `LaunchExpirationTime`.
|
CompletableFuture<DeactivateScalingConfigurationResponse> |
deactivateScalingConfiguration(DeactivateScalingConfigurationRequest request)
* You can call this operation to deactivate a scaling configuration only in a disabled scaling group.
|
CompletableFuture<DeleteAlarmResponse> |
deleteAlarm(DeleteAlarmRequest request) |
CompletableFuture<DeleteEciScalingConfigurationResponse> |
deleteEciScalingConfiguration(DeleteEciScalingConfigurationRequest request)
You cannot call this operation to delete a scaling configuration in the following scenarios:
* The scaling configuration is in the Active state
|
CompletableFuture<DeleteLifecycleHookResponse> |
deleteLifecycleHook(DeleteLifecycleHookRequest request)
If you delete an effective lifecycle hook before its timeout period ends, the instances on which the lifecycle hook takes effect exits the Pending state ahead of schedule.
|
CompletableFuture<DeleteNotificationConfigurationResponse> |
deleteNotificationConfiguration(DeleteNotificationConfigurationRequest request) |
CompletableFuture<DeleteScalingConfigurationResponse> |
deleteScalingConfiguration(DeleteScalingConfigurationRequest request)
You cannot delete a scaling configuration in one of the following scenarios:
* The scaling configuration in your scaling group is in the Active state
|
CompletableFuture<DeleteScalingGroupResponse> |
deleteScalingGroup(DeleteScalingGroupRequest request)
Before you call the DeleteScalingGroup operation, take note of the following items:
* If you delete a scaling group, the scaling configurations, scaling rules, scaling activities, and scaling requests related to the scaling group are also deleted
|
CompletableFuture<DeleteScalingRuleResponse> |
deleteScalingRule(DeleteScalingRuleRequest request) |
CompletableFuture<DeleteScheduledTaskResponse> |
deleteScheduledTask(DeleteScheduledTaskRequest request) |
CompletableFuture<DescribeAlarmsResponse> |
describeAlarms(DescribeAlarmsRequest request) |
CompletableFuture<DescribeAlertConfigurationResponse> |
describeAlertConfiguration(DescribeAlertConfigurationRequest request) |
CompletableFuture<DescribeEciScalingConfigurationDetailResponse> |
describeEciScalingConfigurationDetail(DescribeEciScalingConfigurationDetailRequest request) |
CompletableFuture<DescribeEciScalingConfigurationsResponse> |
describeEciScalingConfigurations(DescribeEciScalingConfigurationsRequest request) |
CompletableFuture<DescribeLifecycleActionsResponse> |
describeLifecycleActions(DescribeLifecycleActionsRequest request)
If a scaling activity is executed and a lifecycle hook is created for the scaling activity, the lifecycle hook triggers a lifecycle action.
|
CompletableFuture<DescribeLifecycleHooksResponse> |
describeLifecycleHooks(DescribeLifecycleHooksRequest request)
You can use one of the following methods to query lifecycle hooks:
* Specify a list of lifecycle hook IDs by using the LifecycleHookIds parameter.
|
CompletableFuture<DescribeLimitationResponse> |
describeLimitation(DescribeLimitationRequest request) |
CompletableFuture<DescribeNotificationConfigurationsResponse> |
describeNotificationConfigurations(DescribeNotificationConfigurationsRequest request) |
CompletableFuture<DescribeNotificationTypesResponse> |
describeNotificationTypes(DescribeNotificationTypesRequest request) |
CompletableFuture<DescribePatternTypesResponse> |
describePatternTypes(DescribePatternTypesRequest request) |
CompletableFuture<DescribeRegionsResponse> |
describeRegions(DescribeRegionsRequest request) |
CompletableFuture<DescribeScalingActivitiesResponse> |
describeScalingActivities(DescribeScalingActivitiesRequest request)
You can specify a scaling group ID to query all scaling activities in the scaling group.
|
CompletableFuture<DescribeScalingActivityDetailResponse> |
describeScalingActivityDetail(DescribeScalingActivityDetailRequest request) |
CompletableFuture<DescribeScalingConfigurationsResponse> |
describeScalingConfigurations(DescribeScalingConfigurationsRequest request) |
CompletableFuture<DescribeScalingGroupDetailResponse> |
describeScalingGroupDetail(DescribeScalingGroupDetailRequest request) |
CompletableFuture<DescribeScalingGroupsResponse> |
describeScalingGroups(DescribeScalingGroupsRequest request) |
CompletableFuture<DescribeScalingInstancesResponse> |
describeScalingInstances(DescribeScalingInstancesRequest request) |
CompletableFuture<DescribeScalingRulesResponse> |
describeScalingRules(DescribeScalingRulesRequest request)
You can specify a scaling group ID to query all scaling rules in the scaling group.
|
CompletableFuture<DescribeScheduledTasksResponse> |
describeScheduledTasks(DescribeScheduledTasksRequest request)
You can query scheduled tasks by scaling rule, task ID, or task name.
|
CompletableFuture<DetachAlbServerGroupsResponse> |
detachAlbServerGroups(DetachAlbServerGroupsRequest request) |
CompletableFuture<DetachDBInstancesResponse> |
detachDBInstances(DetachDBInstancesRequest request) |
CompletableFuture<DetachInstancesResponse> |
detachInstances(DetachInstancesRequest request)
* Before you call the DetachInstances operation, make sure that the following conditions are met:
* The specified scaling group is enabled
|
CompletableFuture<DetachLoadBalancersResponse> |
detachLoadBalancers(DetachLoadBalancersRequest request) |
CompletableFuture<DetachServerGroupsResponse> |
detachServerGroups(DetachServerGroupsRequest request) |
CompletableFuture<DetachVServerGroupsResponse> |
detachVServerGroups(DetachVServerGroupsRequest request)
* When you call the DetachVServerGroups operation, you must use the following parameters to specify the vServer groups that you want to detach from your scaling group:
* LoadBalancerId: the ID of the load balancer
* VServerGroupId: the ID of the vServer group
* Port: the port number of the vServer group
* When the vServer group specified by the request parameters matches that attached to your scaling group, this operation yields a favorable result.
|
CompletableFuture<DisableAlarmResponse> |
disableAlarm(DisableAlarmRequest request)
Before you disable an event-triggered task, make sure that the task is in the `Normal`, `Alert`, or `Insufficient Data` state.
|
CompletableFuture<DisableScalingGroupResponse> |
disableScalingGroup(DisableScalingGroupRequest request)
Before you call this operation to disable a scaling group, take note of the following items:
* If scaling activities are being executed in the specified scaling group when you call this operation, these activities will continue until they are complete.
|
CompletableFuture<EnableAlarmResponse> |
enableAlarm(EnableAlarmRequest request) |
CompletableFuture<EnableScalingGroupResponse> |
enableScalingGroup(EnableScalingGroupRequest request)
* You can call this operation to enable a scaling group only if the scaling group is in the Inactive state and contains an instance configuration source such as a launch temple or a scaling configuration.
|
CompletableFuture<EnterStandbyResponse> |
enterStandby(EnterStandbyRequest request)
## Description
* If you call the operation to put an ECS instance in a scaling group that is associated with a Classic Load Balancer (CLB) instance into the Standby state, the weight of the ECS instance as a backend server of the CLB instance is set to 0
|
CompletableFuture<ExecuteScalingRuleResponse> |
executeScalingRule(ExecuteScalingRuleRequest request)
Before you call this operation, take note of the following items:
* The scaling group is in the Active state
|
CompletableFuture<ExitStandbyResponse> |
exitStandby(ExitStandbyRequest request)
After ECS instances or elastic container instances are removed from the Standby state, the following rules apply:
* The ECS instances or elastic container instances enter the In Service state
|
CompletableFuture<ListTagKeysResponse> |
listTagKeys(ListTagKeysRequest request) |
CompletableFuture<ListTagResourcesResponse> |
listTagResources(ListTagResourcesRequest request)
* Specify at least one of the following request parameters: `ResourceIds` and `Tags`.
|
CompletableFuture<ListTagValuesResponse> |
listTagValues(ListTagValuesRequest request) |
CompletableFuture<ModifyAlarmResponse> |
modifyAlarm(ModifyAlarmRequest request)
* If you set the MetricType parameter to custom, you must report your custom metrics to CloudMonitor before you can create event-triggered tasks by using the custom metrics.
|
CompletableFuture<ModifyAlertConfigurationResponse> |
modifyAlertConfiguration(ModifyAlertConfigurationRequest request) |
CompletableFuture<ModifyEciScalingConfigurationResponse> |
modifyEciScalingConfiguration(ModifyEciScalingConfigurationRequest request)
* If you want to change the name of a scaling configuration in a scaling group, make sure that the new name is unique within the scaling group
|
CompletableFuture<ModifyInstanceAttributeResponse> |
modifyInstanceAttribute(ModifyInstanceAttributeRequest request) |
CompletableFuture<ModifyLifecycleHookResponse> |
modifyLifecycleHook(ModifyLifecycleHookRequest request)
You can use one of the following methods to locate the lifecycle hook that you want to modify:
* Specify LifecycleHookId.
|
CompletableFuture<ModifyNotificationConfigurationResponse> |
modifyNotificationConfiguration(ModifyNotificationConfigurationRequest request) |
CompletableFuture<ModifyScalingConfigurationResponse> |
modifyScalingConfiguration(ModifyScalingConfigurationRequest request)
You can change the name of a scaling configuration in a scaling group.
|
CompletableFuture<ModifyScalingGroupResponse> |
modifyScalingGroup(ModifyScalingGroupRequest request)
* You cannot modify the following parameters by calling this operation:
* RegionId
* LoadBalancerId
**
**Note** If you want to modify the load balancer settings of your scaling group, you can call the AttachLoadBalancers operation or the DetachLoadBalancers operation
|
CompletableFuture<ModifyScalingRuleResponse> |
modifyScalingRule(ModifyScalingRuleRequest request) |
CompletableFuture<ModifyScheduledTaskResponse> |
modifyScheduledTask(ModifyScheduledTaskRequest request)
You can use the following parameters to specify the scaling method of a scheduled task:
* If you use the `ScheduledAction` parameter, you must select an existing scaling rule for the scheduled task
|
CompletableFuture<RebalanceInstancesResponse> |
rebalanceInstances(RebalanceInstancesRequest request)
## [](#)Usage notes
Auto Scaling creates new ECS instances to replace the existing ECS instances to fulfill the rebalancing purpose.
|
CompletableFuture<RecordLifecycleActionHeartbeatResponse> |
recordLifecycleActionHeartbeat(RecordLifecycleActionHeartbeatRequest request)
You can call this operation only when the desired ECS instance enters a Pending state.\\
An ECS instance can stay in a Pending state for up to six hours.
|
CompletableFuture<RemoveInstancesResponse> |
removeInstances(RemoveInstancesRequest request)
* Before you call this operation, make sure that the following requirements are met:
* The scaling group is in the Active state
|
CompletableFuture<ResumeProcessesResponse> |
resumeProcesses(ResumeProcessesRequest request) |
CompletableFuture<ScaleWithAdjustmentResponse> |
scaleWithAdjustment(ScaleWithAdjustmentRequest request)
* Before you call this operation, take note of the following items:
* The scaling group is in the Active state
|
CompletableFuture<SetGroupDeletionProtectionResponse> |
setGroupDeletionProtection(SetGroupDeletionProtectionRequest request) |
CompletableFuture<SetInstanceHealthResponse> |
setInstanceHealth(SetInstanceHealthRequest request)
Auto Scaling detects and removes unhealthy ECS instances or elastic container instances from the corresponding scaling groups.
|
CompletableFuture<SetInstancesProtectionResponse> |
setInstancesProtection(SetInstancesProtectionRequest request)
Once ECS instances enter the Protected state, they become subject to the following restrictions:
* ECS instances will persist in the Protected state, unless you deliberately remove them from this state
|
CompletableFuture<SuspendProcessesResponse> |
suspendProcesses(SuspendProcessesRequest request) |
CompletableFuture<TagResourcesResponse> |
tagResources(TagResourcesRequest request)
* You can attach up to 20 tags to a scaling group.
**
**Note** Before you attach tags to a specific Auto Scaling resource, Alibaba Cloud automatically verifies the current number of tags attached to that resource.
|
CompletableFuture<UntagResourcesResponse> |
untagResources(UntagResourcesRequest request) |
CompletableFuture<VerifyAuthenticationResponse> |
verifyAuthentication(VerifyAuthenticationRequest request) |
CompletableFuture<VerifyUserResponse> |
verifyUser(VerifyUserRequest request) |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitbuilder, createprotected final String product
protected final String version
protected final String endpointRule
protected final darabonba.core.TeaRequest REQUEST
protected final darabonba.core.TeaAsyncHandler handler
protected DefaultAsyncClient(darabonba.core.client.ClientConfiguration configuration)
public void close()
close 在接口中 com.aliyun.core.utils.SdkAutoCloseableclose 在接口中 AutoCloseablepublic CompletableFuture<ApplyEciScalingConfigurationResponse> applyEciScalingConfiguration(ApplyEciScalingConfigurationRequest request)
applyEciScalingConfiguration 在接口中 AsyncClientpublic CompletableFuture<ApplyScalingGroupResponse> applyScalingGroup(ApplyScalingGroupRequest request)
applyScalingGroup 在接口中 AsyncClientpublic CompletableFuture<AttachAlbServerGroupsResponse> attachAlbServerGroups(AttachAlbServerGroupsRequest request)
attachAlbServerGroups 在接口中 AsyncClientpublic CompletableFuture<AttachDBInstancesResponse> attachDBInstances(AttachDBInstancesRequest request)
attachDBInstances 在接口中 AsyncClientpublic CompletableFuture<AttachInstancesResponse> attachInstances(AttachInstancesRequest request)
attachInstances 在接口中 AsyncClientpublic CompletableFuture<AttachLoadBalancersResponse> attachLoadBalancers(AttachLoadBalancersRequest request)
attachLoadBalancers 在接口中 AsyncClientpublic CompletableFuture<AttachServerGroupsResponse> attachServerGroups(AttachServerGroupsRequest request)
attachServerGroups 在接口中 AsyncClientpublic CompletableFuture<AttachVServerGroupsResponse> attachVServerGroups(AttachVServerGroupsRequest request)
attachVServerGroups 在接口中 AsyncClientpublic CompletableFuture<ChangeResourceGroupResponse> changeResourceGroup(ChangeResourceGroupRequest request)
changeResourceGroup 在接口中 AsyncClientpublic CompletableFuture<CompleteLifecycleActionResponse> completeLifecycleAction(CompleteLifecycleActionRequest request)
completeLifecycleAction 在接口中 AsyncClientpublic CompletableFuture<CreateAlarmResponse> createAlarm(CreateAlarmRequest request)
createAlarm 在接口中 AsyncClientpublic CompletableFuture<CreateEciScalingConfigurationResponse> createEciScalingConfiguration(CreateEciScalingConfigurationRequest request)
createEciScalingConfiguration 在接口中 AsyncClientpublic CompletableFuture<CreateLifecycleHookResponse> createLifecycleHook(CreateLifecycleHookRequest request)
createLifecycleHook 在接口中 AsyncClientpublic CompletableFuture<CreateNotificationConfigurationResponse> createNotificationConfiguration(CreateNotificationConfigurationRequest request)
createNotificationConfiguration 在接口中 AsyncClientpublic CompletableFuture<CreateScalingConfigurationResponse> createScalingConfiguration(CreateScalingConfigurationRequest request)
createScalingConfiguration 在接口中 AsyncClientpublic CompletableFuture<CreateScalingGroupResponse> createScalingGroup(CreateScalingGroupRequest request)
createScalingGroup 在接口中 AsyncClientpublic CompletableFuture<CreateScalingRuleResponse> createScalingRule(CreateScalingRuleRequest request)
createScalingRule 在接口中 AsyncClientpublic CompletableFuture<CreateScheduledTaskResponse> createScheduledTask(CreateScheduledTaskRequest request)
createScheduledTask 在接口中 AsyncClientpublic CompletableFuture<DeactivateScalingConfigurationResponse> deactivateScalingConfiguration(DeactivateScalingConfigurationRequest request)
deactivateScalingConfiguration 在接口中 AsyncClientpublic CompletableFuture<DeleteAlarmResponse> deleteAlarm(DeleteAlarmRequest request)
deleteAlarm 在接口中 AsyncClientpublic CompletableFuture<DeleteEciScalingConfigurationResponse> deleteEciScalingConfiguration(DeleteEciScalingConfigurationRequest request)
deleteEciScalingConfiguration 在接口中 AsyncClientpublic CompletableFuture<DeleteLifecycleHookResponse> deleteLifecycleHook(DeleteLifecycleHookRequest request)
deleteLifecycleHook 在接口中 AsyncClientpublic CompletableFuture<DeleteNotificationConfigurationResponse> deleteNotificationConfiguration(DeleteNotificationConfigurationRequest request)
deleteNotificationConfiguration 在接口中 AsyncClientpublic CompletableFuture<DeleteScalingConfigurationResponse> deleteScalingConfiguration(DeleteScalingConfigurationRequest request)
deleteScalingConfiguration 在接口中 AsyncClientpublic CompletableFuture<DeleteScalingGroupResponse> deleteScalingGroup(DeleteScalingGroupRequest request)
deleteScalingGroup 在接口中 AsyncClientpublic CompletableFuture<DeleteScalingRuleResponse> deleteScalingRule(DeleteScalingRuleRequest request)
deleteScalingRule 在接口中 AsyncClientpublic CompletableFuture<DeleteScheduledTaskResponse> deleteScheduledTask(DeleteScheduledTaskRequest request)
deleteScheduledTask 在接口中 AsyncClientpublic CompletableFuture<DescribeAlarmsResponse> describeAlarms(DescribeAlarmsRequest request)
describeAlarms 在接口中 AsyncClientpublic CompletableFuture<DescribeAlertConfigurationResponse> describeAlertConfiguration(DescribeAlertConfigurationRequest request)
describeAlertConfiguration 在接口中 AsyncClientpublic CompletableFuture<DescribeEciScalingConfigurationDetailResponse> describeEciScalingConfigurationDetail(DescribeEciScalingConfigurationDetailRequest request)
public CompletableFuture<DescribeEciScalingConfigurationsResponse> describeEciScalingConfigurations(DescribeEciScalingConfigurationsRequest request)
describeEciScalingConfigurations 在接口中 AsyncClientpublic CompletableFuture<DescribeLifecycleActionsResponse> describeLifecycleActions(DescribeLifecycleActionsRequest request)
describeLifecycleActions 在接口中 AsyncClientpublic CompletableFuture<DescribeLifecycleHooksResponse> describeLifecycleHooks(DescribeLifecycleHooksRequest request)
describeLifecycleHooks 在接口中 AsyncClientpublic CompletableFuture<DescribeLimitationResponse> describeLimitation(DescribeLimitationRequest request)
describeLimitation 在接口中 AsyncClientpublic CompletableFuture<DescribeNotificationConfigurationsResponse> describeNotificationConfigurations(DescribeNotificationConfigurationsRequest request)
public CompletableFuture<DescribeNotificationTypesResponse> describeNotificationTypes(DescribeNotificationTypesRequest request)
describeNotificationTypes 在接口中 AsyncClientpublic CompletableFuture<DescribePatternTypesResponse> describePatternTypes(DescribePatternTypesRequest request)
describePatternTypes 在接口中 AsyncClientpublic CompletableFuture<DescribeRegionsResponse> describeRegions(DescribeRegionsRequest request)
describeRegions 在接口中 AsyncClientpublic CompletableFuture<DescribeScalingActivitiesResponse> describeScalingActivities(DescribeScalingActivitiesRequest request)
describeScalingActivities 在接口中 AsyncClientpublic CompletableFuture<DescribeScalingActivityDetailResponse> describeScalingActivityDetail(DescribeScalingActivityDetailRequest request)
describeScalingActivityDetail 在接口中 AsyncClientpublic CompletableFuture<DescribeScalingConfigurationsResponse> describeScalingConfigurations(DescribeScalingConfigurationsRequest request)
describeScalingConfigurations 在接口中 AsyncClientpublic CompletableFuture<DescribeScalingGroupDetailResponse> describeScalingGroupDetail(DescribeScalingGroupDetailRequest request)
describeScalingGroupDetail 在接口中 AsyncClientpublic CompletableFuture<DescribeScalingGroupsResponse> describeScalingGroups(DescribeScalingGroupsRequest request)
describeScalingGroups 在接口中 AsyncClientpublic CompletableFuture<DescribeScalingInstancesResponse> describeScalingInstances(DescribeScalingInstancesRequest request)
describeScalingInstances 在接口中 AsyncClientpublic CompletableFuture<DescribeScalingRulesResponse> describeScalingRules(DescribeScalingRulesRequest request)
describeScalingRules 在接口中 AsyncClientpublic CompletableFuture<DescribeScheduledTasksResponse> describeScheduledTasks(DescribeScheduledTasksRequest request)
describeScheduledTasks 在接口中 AsyncClientpublic CompletableFuture<DetachAlbServerGroupsResponse> detachAlbServerGroups(DetachAlbServerGroupsRequest request)
detachAlbServerGroups 在接口中 AsyncClientpublic CompletableFuture<DetachDBInstancesResponse> detachDBInstances(DetachDBInstancesRequest request)
detachDBInstances 在接口中 AsyncClientpublic CompletableFuture<DetachInstancesResponse> detachInstances(DetachInstancesRequest request)
detachInstances 在接口中 AsyncClientpublic CompletableFuture<DetachLoadBalancersResponse> detachLoadBalancers(DetachLoadBalancersRequest request)
detachLoadBalancers 在接口中 AsyncClientpublic CompletableFuture<DetachServerGroupsResponse> detachServerGroups(DetachServerGroupsRequest request)
detachServerGroups 在接口中 AsyncClientpublic CompletableFuture<DetachVServerGroupsResponse> detachVServerGroups(DetachVServerGroupsRequest request)
detachVServerGroups 在接口中 AsyncClientpublic CompletableFuture<DisableAlarmResponse> disableAlarm(DisableAlarmRequest request)
disableAlarm 在接口中 AsyncClientpublic CompletableFuture<DisableScalingGroupResponse> disableScalingGroup(DisableScalingGroupRequest request)
disableScalingGroup 在接口中 AsyncClientpublic CompletableFuture<EnableAlarmResponse> enableAlarm(EnableAlarmRequest request)
enableAlarm 在接口中 AsyncClientpublic CompletableFuture<EnableScalingGroupResponse> enableScalingGroup(EnableScalingGroupRequest request)
enableScalingGroup 在接口中 AsyncClientpublic CompletableFuture<EnterStandbyResponse> enterStandby(EnterStandbyRequest request)
enterStandby 在接口中 AsyncClientpublic CompletableFuture<ExecuteScalingRuleResponse> executeScalingRule(ExecuteScalingRuleRequest request)
executeScalingRule 在接口中 AsyncClientpublic CompletableFuture<ExitStandbyResponse> exitStandby(ExitStandbyRequest request)
exitStandby 在接口中 AsyncClientpublic CompletableFuture<ListTagKeysResponse> listTagKeys(ListTagKeysRequest request)
listTagKeys 在接口中 AsyncClientpublic CompletableFuture<ListTagResourcesResponse> listTagResources(ListTagResourcesRequest request)
listTagResources 在接口中 AsyncClientpublic CompletableFuture<ListTagValuesResponse> listTagValues(ListTagValuesRequest request)
listTagValues 在接口中 AsyncClientpublic CompletableFuture<ModifyAlarmResponse> modifyAlarm(ModifyAlarmRequest request)
modifyAlarm 在接口中 AsyncClientpublic CompletableFuture<ModifyAlertConfigurationResponse> modifyAlertConfiguration(ModifyAlertConfigurationRequest request)
modifyAlertConfiguration 在接口中 AsyncClientpublic CompletableFuture<ModifyEciScalingConfigurationResponse> modifyEciScalingConfiguration(ModifyEciScalingConfigurationRequest request)
modifyEciScalingConfiguration 在接口中 AsyncClientpublic CompletableFuture<ModifyInstanceAttributeResponse> modifyInstanceAttribute(ModifyInstanceAttributeRequest request)
modifyInstanceAttribute 在接口中 AsyncClientpublic CompletableFuture<ModifyLifecycleHookResponse> modifyLifecycleHook(ModifyLifecycleHookRequest request)
modifyLifecycleHook 在接口中 AsyncClientpublic CompletableFuture<ModifyNotificationConfigurationResponse> modifyNotificationConfiguration(ModifyNotificationConfigurationRequest request)
modifyNotificationConfiguration 在接口中 AsyncClientpublic CompletableFuture<ModifyScalingConfigurationResponse> modifyScalingConfiguration(ModifyScalingConfigurationRequest request)
modifyScalingConfiguration 在接口中 AsyncClientpublic CompletableFuture<ModifyScalingGroupResponse> modifyScalingGroup(ModifyScalingGroupRequest request)
modifyScalingGroup 在接口中 AsyncClientpublic CompletableFuture<ModifyScalingRuleResponse> modifyScalingRule(ModifyScalingRuleRequest request)
modifyScalingRule 在接口中 AsyncClientpublic CompletableFuture<ModifyScheduledTaskResponse> modifyScheduledTask(ModifyScheduledTaskRequest request)
modifyScheduledTask 在接口中 AsyncClientpublic CompletableFuture<RebalanceInstancesResponse> rebalanceInstances(RebalanceInstancesRequest request)
rebalanceInstances 在接口中 AsyncClientpublic CompletableFuture<RecordLifecycleActionHeartbeatResponse> recordLifecycleActionHeartbeat(RecordLifecycleActionHeartbeatRequest request)
recordLifecycleActionHeartbeat 在接口中 AsyncClientpublic CompletableFuture<RemoveInstancesResponse> removeInstances(RemoveInstancesRequest request)
removeInstances 在接口中 AsyncClientpublic CompletableFuture<ResumeProcessesResponse> resumeProcesses(ResumeProcessesRequest request)
resumeProcesses 在接口中 AsyncClientpublic CompletableFuture<ScaleWithAdjustmentResponse> scaleWithAdjustment(ScaleWithAdjustmentRequest request)
scaleWithAdjustment 在接口中 AsyncClientpublic CompletableFuture<SetGroupDeletionProtectionResponse> setGroupDeletionProtection(SetGroupDeletionProtectionRequest request)
setGroupDeletionProtection 在接口中 AsyncClientpublic CompletableFuture<SetInstanceHealthResponse> setInstanceHealth(SetInstanceHealthRequest request)
setInstanceHealth 在接口中 AsyncClientpublic CompletableFuture<SetInstancesProtectionResponse> setInstancesProtection(SetInstancesProtectionRequest request)
setInstancesProtection 在接口中 AsyncClientpublic CompletableFuture<SuspendProcessesResponse> suspendProcesses(SuspendProcessesRequest request)
suspendProcesses 在接口中 AsyncClientpublic CompletableFuture<TagResourcesResponse> tagResources(TagResourcesRequest request)
tagResources 在接口中 AsyncClientpublic CompletableFuture<UntagResourcesResponse> untagResources(UntagResourcesRequest request)
untagResources 在接口中 AsyncClientpublic CompletableFuture<VerifyAuthenticationResponse> verifyAuthentication(VerifyAuthenticationRequest request)
verifyAuthentication 在接口中 AsyncClientpublic CompletableFuture<VerifyUserResponse> verifyUser(VerifyUserRequest request)
verifyUser 在接口中 AsyncClientCopyright © 2024. All rights reserved.